<script lang="ts">
  import { Button, Card } from 'flowbite-svelte';
  import { CodeForkSolid, NewspaperSolid } from 'flowbite-svelte-icons';
</script>

<div class="flex items-center justify-center px-4" style="height: calc(100vh - 120px);">
  <!-- Featured Content Preview -->
  <div class="grid md:grid-cols-2 gap-6 max-w-3xl">
    <Card padding="xl" class="hover:shadow-lg transition-shadow">
      <h2 class="text-2xl font-bold text-gray-900 dark:text-white mb-3">About Me</h2>
      <p class="text-gray-600 dark:text-gray-400 mb-4">
        Learn about my experience in IT infrastructure, technical solutions, 
        and leadership in fast-paced environments.
      </p>
      <Button href="/about" color="blue" class="mt-2">
        <CodeForkSolid class="mr-2 h-5 w-5" />
        Read More
      </Button>
    </Card>
    
    <Card padding="xl" class="hover:shadow-lg transition-shadow">
      <h2 class="text-2xl font-bold text-gray-900 dark:text-white mb-3">Latest Insights</h2>
      <p class="text-gray-600 dark:text-gray-400 mb-4">
        Explore my latest thoughts on technology trends, 
        infrastructure solutions, and industry developments.
      </p>
      <Button href="/blog" color="blue" class="mt-2">
        <NewspaperSolid class="mr-2 h-5 w-5" />
        View Articles
      </Button>
    </Card>
  </div>
</div>